body {
    margin: 0;
    display: flex;
    flex-direction: column; 
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background-color: #2c3e50;
    color: white;
    font-family: sans-serif;
}

canvas {
    border: 2px solid #ecf0f1;
    margin-bottom: 20px;
    background-color: black;
    display: block;
    touch-action: none; /* Prevents the browser from 'handling' the mouse/touch */
    cursor: crosshair;
}

input, select {
    margin: 5px;
    padding: 5px;
    border-radius: 4px;
    border: none;
}

a, a:visited{
    color: cyan;   
}

a:hover {
    color: #3498db;
    text-decoration: underline;
}

a:active {
    color: #166fab;
    text-decoration: underline;
}

/* Ensure the canvas is "on top" of all other divs */
#webgl {
    position: relative;
    z-index: 999;        /* Force it to the very front */
    pointer-events: auto; /* Ensure it accepts mouse signals */
}

.canvas-section, .main-container {
    pointer-events: none; /* Make the wrappers 'clickable-through' */
}

.main-container {
    display: block; /* Turn off flex temporarily */
    text-align: center;
    margin-top: 50px;
}

#webgl {
    display: inline-block;
    cursor: crosshair;
}